Package org.apache.lucene.index

## Class VectorValues

- java.lang.Object
- - org.apache.lucene.search.DocIdSetIterator
  - - org.apache.lucene.index.FloatVectorValues
    - - org.apache.lucene.index.VectorValues

- Direct Known Subclasses:
    `FilterVectorValues`

      @Deprecated
      public abstract class VectorValues
      extends FloatVectorValues

  Deprecated.
  use `FloatVectorValues` instead
  This class provides access to per-document floating point vector values indexed as `KnnFloatVectorField`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

      `NO_MORE_DOCS`

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.index.FloatVectorValues

      `cost, dimension, size, vectorValue`

    - ### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

      `advance, all, docID, empty, nextDoc, range, slowAdvance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`